<?php

// panel_server.php
// -----------------------------------------------------------------------------
// Designed to serve panel requests made using AJAX
//
// Release    > 1.5.0-6
// Project    > dmClubNewYear08:C37
// Copyright  > (C) Digital Mail Limited (2005-2008)
// Author     > RAK for DML
// -----------------------------------------------------------------------------

// Input
//
$root 	 	 = isset($_POST['root']) 	? $_POST['root'] 	: NULL;
$current 	 = isset($_POST['current']) ? $_POST['current'] : NULL;
$default 	 = isset($_POST['default']) ? $_POST['default'] : NULL;
$today 		 = isset($_POST['today']) 	? $_POST['today'] 	: NULL;
$pan_globals = isset($_POST['today']) 	? $_POST['today'] 	: NULL;

// Include panel class, and initialise it
require_once('class/panel.class.php');
$panel = new Panel(
	DOCROOT . $abs_root,
	$abs_content['version'],
	$abs_content['default'],
	$abs_content['today']
);
$panel->pan_globals  = array('abs_root', 'abs_opt', 'dmx_glib', 'abs_subject'); // Place these variables in scope of panel renderer
$panel->js_interface = 'abs_editable'; // Push panel names into 'abs_editable' javascript object

?>